Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.parse
Class sym

    java.lang.Object
      jif.parse.sym

    public class sym

extends java.lang.Object

CUP generated class containing symbol constants.

Field Summary
`static int` | `ABSTRACT`
`static int` | `ACTSFOR`
`static int` | `ACTSFOR_LOWER`
`static int` | `AND`
`static int` | `ANDAND`
`static int` | `ANDEQ`
`static int` | `ASSERT`
`static int` | `AUTHORITY`
`static int` | `BOOLEAN`
`static int` | `BOOLEAN_LITERAL`
`static int` | `BREAK`
`static int` | `BYTE`
`static int` | `CALLER`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CHARACTER_LITERAL`
`static int` | `CLASS`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `COMP`
`static int` | `CONST`
`static int` | `CONTINUE`
`static int` | `COVARIANT`
`static int` | `DECLASSIFY`
`static int` | `DEFAULT`
`static int` | `DIV`
`static int` | `DIVEQ`
`static int` | `DO`
`static int` | `DOT`
`static int` | `DOUBLE`
`static int` | `DOUBLE_LITERAL`
`static int` | `ELSE`
`static int` | `ENDORSE`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `EQEQ`
`static int` | `EQUIV`
`static int` | `error`
`static int` | `EXTENDS`
`static int` | `FINAL`
`static int` | `FINALLY`
`static int` | `FLOAT`
`static int` | `FLOAT_LITERAL`
`static int` | `FOR`
`static int` | `GOTO`
`static int` | `GT`
`static int` | `GTEQ`
`static int` | `IDENTIFIER`
`static int` | `IF`
`static int` | `IMPLEMENTS`
`static int` | `IMPORT`
`static int` | `INSTANCEOF`
`static int` | `INT`
`static int` | `INTEGER_LITERAL`
`static int` | `INTEGER_LITERAL_BD`
`static int` | `INTERFACE`
`static int` | `INVARIANT`
`static int` | `JOIN`
`static int` | `LABEL`
`static int` | `LBRACE`
`static int` | `LBRACK`
`static int` | `LEFTARROW`
`static int` | `LONG`
`static int` | `LONG_LITERAL`
`static int` | `LONG_LITERAL_BD`
`static int` | `LPAREN`
`static int` | `LSHIFT`
`static int` | `LSHIFTEQ`
`static int` | `LT`
`static int` | `LTEQ`
`static int` | `MEET`
`static int` | `MINUS`
`static int` | `MINUSEQ`
`static int` | `MINUSMINUS`
`static int` | `MOD`
`static int` | `MODEQ`
`static int` | `MULT`
`static int` | `MULTEQ`
`static int` | `NATIVE`
`static int` | `NEW`
`static int` | `NOT`
`static int` | `NOTEQ`
`static int` | `NULL_LITERAL`
`static int` | `OR`
`static int` | `OREQ`
`static int` | `OROR`
`static int` | `PACKAGE`
`static int` | `PLUS`
`static int` | `PLUSEQ`
`static int` | `PLUSPLUS`
`static int` | `PRINCIPAL`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `QUESTION`
`static int` | `RBRACE`
`static int` | `RBRACK`
`static int` | `RETURN`
`static int` | `RIGHTARROW`
`static int` | `RPAREN`
`static int` | `RSHIFT`
`static int` | `RSHIFTEQ`
`static int` | `SEMICOLON`
`static int` | `SHORT`
`static int` | `STATIC`
`static int` | `STRICTFP`
`static int` | `STRING_LITERAL`
`static int` | `SUPER`
`static int` | `SWITCH`
`static int` | `SYNCHRONIZED`
`static int` | `THIS`
`static int` | `THROW`
`static int` | `THROWS`
`static int` | `TO`
`static int` | `TRANSIENT`
`static int` | `TRY`
`static int` | `URSHIFT`
`static int` | `URSHIFTEQ`
`static int` | `VOID`
`static int` | `VOLATILE`
`static int` | `WHERE`
`static int` | `WHILE`
`static int` | `XOR`
`static int` | `XOREQ`

Constructor Summary
`sym()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### ANDEQ

    public static final int ANDEQ

See Also:
  Constant Field Values

### RIGHTARROW

    public static final int RIGHTARROW

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### IMPLEMENTS

    public static final int IMPLEMENTS

See Also:
  Constant Field Values

### CONST

    public static final int CONST

See Also:
  Constant Field Values

### STRICTFP

    public static final int STRICTFP

See Also:
  Constant Field Values

### NOTEQ

    public static final int NOTEQ

See Also:
  Constant Field Values

### INTEGER_LITERAL_BD

    public static final int INTEGER_LITERAL_BD

See Also:
  Constant Field Values

### PLUSEQ

    public static final int PLUSEQ

See Also:
  Constant Field Values

### EQUIV

    public static final int EQUIV

See Also:
  Constant Field Values

### RBRACK

    public static final int RBRACK

See Also:
  Constant Field Values

### CATCH

    public static final int CATCH

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### DOUBLE_LITERAL

    public static final int DOUBLE_LITERAL

See Also:
  Constant Field Values

### RBRACE

    public static final int RBRACE

See Also:
  Constant Field Values

### JOIN

    public static final int JOIN

See Also:
  Constant Field Values

### THROW

    public static final int THROW

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### MEET

    public static final int MEET

See Also:
  Constant Field Values

### LBRACK

    public static final int LBRACK

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### ANDAND

    public static final int ANDAND

See Also:
  Constant Field Values

### ACTSFOR_LOWER

    public static final int ACTSFOR_LOWER

See Also:
  Constant Field Values

### OROR

    public static final int OROR

See Also:
  Constant Field Values

### CALLER

    public static final int CALLER

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### LBRACE

    public static final int LBRACE

See Also:
  Constant Field Values

### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### XOREQ

    public static final int XOREQ

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### INTEGER_LITERAL

    public static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### AUTHORITY

    public static final int AUTHORITY

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### GOTO

    public static final int GOTO

See Also:
  Constant Field Values

### URSHIFTEQ

    public static final int URSHIFTEQ

See Also:
  Constant Field Values

### LONG_LITERAL_BD

    public static final int LONG_LITERAL_BD

See Also:
  Constant Field Values

### PACKAGE

    public static final int PACKAGE

See Also:
  Constant Field Values

### COMP

    public static final int COMP

See Also:
  Constant Field Values

### COVARIANT

    public static final int COVARIANT

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### BOOLEAN_LITERAL

    public static final int BOOLEAN_LITERAL

See Also:
  Constant Field Values

### MOD

    public static final int MOD

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### SUPER

    public static final int SUPER

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### LEFTARROW

    public static final int LEFTARROW

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### LONG_LITERAL

    public static final int LONG_LITERAL

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### QUESTION

    public static final int QUESTION

See Also:
  Constant Field Values

### WHILE

    public static final int WHILE

See Also:
  Constant Field Values

### EXTENDS

    public static final int EXTENDS

See Also:
  Constant Field Values

### INTERFACE

    public static final int INTERFACE

See Also:
  Constant Field Values

### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### SWITCH

    public static final int SWITCH

See Also:
  Constant Field Values

### DO

    public static final int DO

See Also:
  Constant Field Values

### FOR

    public static final int FOR

See Also:
  Constant Field Values

### RSHIFTEQ

    public static final int RSHIFTEQ

See Also:
  Constant Field Values

### DECLASSIFY

    public static final int DECLASSIFY

See Also:
  Constant Field Values

### VOID

    public static final int VOID

See Also:
  Constant Field Values

### DIV

    public static final int DIV

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### RETURN

    public static final int RETURN

See Also:
  Constant Field Values

### MULT

    public static final int MULT

See Also:
  Constant Field Values

### ELSE

    public static final int ELSE

See Also:
  Constant Field Values

### TRY

    public static final int TRY

See Also:
  Constant Field Values

### GTEQ

    public static final int GTEQ

See Also:
  Constant Field Values

### BREAK

    public static final int BREAK

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### NULL_LITERAL

    public static final int NULL_LITERAL

See Also:
  Constant Field Values

### THROWS

    public static final int THROWS

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### EQEQ

    public static final int EQEQ

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### SEMICOLON

    public static final int SEMICOLON

See Also:
  Constant Field Values

### WHERE

    public static final int WHERE

See Also:
  Constant Field Values

### THIS

    public static final int THIS

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### MULTEQ

    public static final int MULTEQ

See Also:
  Constant Field Values

### IMPORT

    public static final int IMPORT

See Also:
  Constant Field Values

### LABEL

    public static final int LABEL

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### ENDORSE

    public static final int ENDORSE

See Also:
  Constant Field Values

### INVARIANT

    public static final int INVARIANT

See Also:
  Constant Field Values

### FLOAT_LITERAL

    public static final int FLOAT_LITERAL

See Also:
  Constant Field Values

### LTEQ

    public static final int LTEQ

See Also:
  Constant Field Values

### PRINCIPAL

    public static final int PRINCIPAL

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### error

    public static final int error

See Also:
  Constant Field Values

### URSHIFT

    public static final int URSHIFT

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### DIVEQ

    public static final int DIVEQ

See Also:
  Constant Field Values

### LSHIFTEQ

    public static final int LSHIFTEQ

See Also:
  Constant Field Values

### FINALLY

    public static final int FINALLY

See Also:
  Constant Field Values

### CONTINUE

    public static final int CONTINUE

See Also:
  Constant Field Values

### INSTANCEOF

    public static final int INSTANCEOF

See Also:
  Constant Field Values

### IF

    public static final int IF

See Also:
  Constant Field Values

### ACTSFOR

    public static final int ACTSFOR

See Also:
  Constant Field Values

### MODEQ

    public static final int MODEQ

See Also:
  Constant Field Values

### MINUSMINUS

    public static final int MINUSMINUS

See Also:
  Constant Field Values

### ASSERT

    public static final int ASSERT

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### CHARACTER_LITERAL

    public static final int CHARACTER_LITERAL

See Also:
  Constant Field Values

### OREQ

    public static final int OREQ

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### CASE

    public static final int CASE

See Also:
  Constant Field Values

### PLUSPLUS

    public static final int PLUSPLUS

See Also:
  Constant Field Values

### NEW

    public static final int NEW

See Also:
  Constant Field Values

### RSHIFT

    public static final int RSHIFT

See Also:
  Constant Field Values

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### TO

    public static final int TO

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### LSHIFT

    public static final int LSHIFT

See Also:
  Constant Field Values

### XOR

    public static final int XOR

See Also:
  Constant Field Values

### MINUSEQ

    public static final int MINUSEQ

See Also:
  Constant Field Values

Constructor Detail

### sym

    public sym()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD